## org.apache.ivy.osgi.core
Class ExecutionEnvironmentProfile

    java.lang.Object
      org.apache.ivy.osgi.core.ExecutionEnvironmentProfile

    public class ExecutionEnvironmentProfile

extends java.lang.Object

Constructor Summary
`ExecutionEnvironmentProfile(java.lang.String name)`

Method Summary
`void` `addPkgName(java.lang.String pkgName)`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getName()`
`java.util.Set` `getPkgNames()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionEnvironmentProfile

    public ExecutionEnvironmentProfile(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### addPkgName

    public void addPkgName(java.lang.String pkgName)

### getPkgNames

    public java.util.Set getPkgNames()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`